﻿--localization file for english/United States
local L = LibStub("AceLocale-3.0"):NewLocale("MageGate", "enUS", true)
if ( not L ) then 
    return;
end

-- OPTIONS
--  Sound effects
L["SOUND_FX_DESC"] = "Turns sound effects on, off, or on master." -- Update French
L["SOUND_FX_ON"]   = "Sound effects are on."
L["SOUND_FX_OFF"]  = "Sound effects are off."
L["SOUND_FX_MAST"] = "Sound effects are on and set to master." -- Update French

--  Auto summon
L["AUTO_SUMMON_DESC"] = "Turns auto-accept for summon on or off."
L["AUTO_SUMMON_ON"]   = "Auto summon is on."
L["AUTO_SUMMON_OFF"]  = "Auto summon is off."

--  Abort effect
L["ABORT_FX_DESC"]    = "Changes the portal cancel sound effect.  Choices are %s and %s."
L["ABORT_FX_INVALID"] = "Invalid input.  Enter either '%s' or '%s'."
L["ABORT_FX_CURR"] = "Abort effect is set to %s"  -- Update French

L["CASTER_REMAINING"] ="Caster %s. Reaming time: %u seconds" --le temps restant

--   Turn off or on the chevron counter
L["CHEV_COUNT_TOGGLE"] = "Turns the chevron count sequence on or off."
L["CHEV_COUNT_OFF"]  = "Chevron count sequence off."
L["CHEV_COUNT_ON"]  = "Chevron count sequence on."

--  Chevrons count
L["CHEVRONS_COUNT_DESC"]    = "Set the number of chevrons when channeling."
L["CHEVRONS_COUNT_INVALID"] = "Invalid input.  Enter a number between %u and %u."
L["CHEVRON_COUNT_NUM"] = "Chevron count is %u" -- Update French

-- Wormhole Exit

L["WORM_EXIT_DESC"] = "Set whether or not the wormhole exit sound is played when you arrive at the end of a portal."-- Update French
L["WORM_EXIT_ON"] = "Wormhole exit sound effect on."-- Update French
L["WORM_EXIT_OFF"] = "Wormhole exit sound effect off."-- Update French

-- Marker
L["MARKER_ON"] = "Portal markers on"-- Update French
L["MARKER_OFF"] = "Portal markers off" -- Update French
L["MARKER_TOGGLE"] = "Turns the portal marker display in minimap on or off." -- Update French

-- Caster Strings
L["CASTER_TOGGLE"] = "Turns on or off whether MageGate sound effects can be triggered by other mages" -- Update French
L["CASTER_ALL"] = "MageGate will now do sound effects for any mage casting a portal." -- Update French
L["CASTER_YOU"] = "MageGate will only do sound effects for your portals" -- Update French


-- Teleporting Ring Strings

L["TELE_RINGS_DESC"] = "Toggles whether or not the teleporting rings are used for teleport spells (Including Astral Recall and Hearth Stone)."
L["INSTANCE_RINGS"] = "Toggles whether or not the teleporting rings sound effect is used when teleporting in and out of an instance or battleground and on summonings." -- Update French
L["INSTANCE_RINGS_ON"] = "Teleporting rings on."
L["INSTANCE_RINGS_OFF"] = "Teleporting rings off."


--Traveller

L["TRAVELLER_DESC"] = "Toggles the incoming traveller message to be broadcasted when you accept a summon."-- Update French
L["TRAVELLER_OFF"] =  "Incoming Traveller message is off"-- Update French
L["TRAVELLER_ON"] ="Incoming Traveller message is on"-- Update French


-- Settings printing
L["PRINT_SETTINGS"] = "Prints out all of the current settings of the addon." -- Update French
L["ADDON_SETTINGS"] = "Addon Settings"-- Update French

-- ADDON TEXT
--  Channeling
L["DIALING_START"]   = "Dialing %s."
L["DIALING_ABORTED"] = "Dialing sequence aborted!"

L["CHEVRON_N_LOCKED"]  = "Chevron %u locked."
L["CHEVRON_N_ENGAGED"] = "Chevron %u engaged."

--  Auto summon
L["CONFIRM_SUMMON"] = "Incoming traveller!"

--Play Strings

L["SOUND_LIST"] = "List of sounds"-- Update French
L["PLAY_DESC"] = "Lets you play one of the sound effects used by MageGate" -- Update French

L["SHOW"] = "Displays the settings frame"

-- OTHER
--[[
 Separator between "Portal" and its destination
 This separator differs according to game language (ie. ':' in english, 'в' in russian)
 It is used to determine portal destination
]]
L["PORTAL_SEP"] = ":"
L["Portal1"] = "Portal" -- Update French
L["Portal2"] = "Teleport" 
L["ANNIVERSARY"] = "Thank you for using Mage Gate!"

-- UI

L["PREVIEW"] = "Preview"
L["DEFAULT"] = "Default"
L["CLOSE"] = "Close"

L["ENABLED"] = "Enabled"
L["TRAVELLER_UI"]="Traveller"
L["PORT_TRACKER_UI"] = "Portal Tracker"
L["AUTO_SUMM_UI"] ="Auto Summon"
L["RING_PORT_UI"]="Ring Teleport Enabled"
L["SFX_OTHERS_UI"] = "SFX for others portals"
L["PORT_EXIT_UI"] ="Portal Exit Sound Effect"

L["FULL_CHEV"] = "Full Chevron Count"

L["SOUND_EFFECTS_UI"] = "Sound Effects"
L["ON"] = "Sound FX On"
L["MASTER"] = "SFX Master On"

L["CHEVRON_COUNT_MAX"] = "Chevron count max"
L["ABORT_STYLE_UI"] = "Abort Style"
L["RING_STYLE_UI"]= "Ring Style"
L["CHEVMAX"] = "Chevron Max"
L["MASTER_ON_TT1"] = "Checking this will make it so that the sound effects of Mage Gate "
L["MASTER_ON_TT2"] = "will be heard even if the sound on your WoW client is disabled."


L["INCOMMING_TRAVELLER"] = "Incoming Traveller!"

L["SOUL_PORTAL"] = "soul portal"